%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Extensions for the GNOME Web Browser, Epiphany
Name:		epiphany-extensions
Version:	3.6.0
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
## The Live HTTP Headers extension is LGPLv2.1+; the Gestures extension is
## GPLv2 (only); and all other extensions are GPLv2+.
License:	LGPLv2+ and GPLv2 and GPLv2+ and GFDL
Group:		Networking/WWW
Url:		http://www.gnome.org/projects/epiphany/
BuildRequires:	epiphany-devel >= %{version}
BuildRequires:	OpenSP-devel
BuildRequires:	dbus-devel >= 0.50
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.34
BuildRequires:	gnome-common
BuildRequires:	intltool gettext-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
Requires:	epiphany >= %{version}

%description
This package contains the following extensions for the GNOME Web Browser:
Actions
Ad blocker
Auto-Reload
Auto-scroller
Certificates
Extension Manager
Gestures
Greasemonkey
HTML5 Tube
Push scroller
RSS
SoupFly
Tab groups
Tab Key Tab Navigate
Tab states

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name

for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

#remove unpackaged files
rm -rf %{buildroot}%{_libdir}/epiphany/*/extensions/*.la \
      %{buildroot}/var/lib/scrollkeeper

%files -f %{name}.lang
%doc COPYING* AUTHORS NEWS README*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}/
%{_datadir}/epiphany/icons/hicolor/*/status/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_libdir}/epiphany/*/extensions/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 349705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 303185
- new version 3.6.0

* Sun Sep 30 2012 fwang <fwang> 3.4.0-2.mga3
+ Revision: 300796
- add br
- recognize epiphany 3.6
- rebuild for new epiphany

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226949
- new version 3.4.0

* Sun Feb 26 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 215034
- new version 3.3.90

* Sat Oct 08 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 153016
- new version 3.2.0
- clean .spec a bit

* Sat Jul 02 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 117298
- update file list
- ship omf also
- new version 3.0.0

* Wed Mar 09 2011 ennael <ennael> 2.32.0-2.mga1
+ Revision: 66894
- imported package epiphany-extensions

